apiVersion: v1
kind: Service
metadata:
  labels:
    app: {{ .Release.Name }}
  name: {{ .Release.Name }}
spec:
  ports:
  - port: {{ .Values.port }}
    protocol: TCP
    name: {{ .Release.Name }}-web
    targetPort: {{ .Values.port }}
  selector:
    app: {{ .Release.Name }} # This selects the pod(s) that match the selector
  type: ClusterIP
